Перейти до вмісту
AstroWay/api v2.95.1 · docs
усі системи в нормі

Tzolkin Day Sign

POST
/mayan/tzolkin
request.sh
curl -X POST https://api.astroway.info/v1/mayan/tzolkin \
-H "X-Api-Key: aw_live_..." \
-H "Content-Type: application/json" \
-d '{ "date": "1990-06-15" }'

260-day sacred calendar. Returns 1-13 number + 20 day-name + element + direction + keyword.

Media type application/json
object
Example
{
"date": "1990-06-15"
}

Successful calculation

Media type application/json
object
ok
boolean
data
object
date
string
nullable
tzolkin
object
number
number
nullable
name
string
nullable
label
string
nullable
keyword
string
nullable
element
string
nullable
direction
string
nullable
Example
{
"ok": true,
"data": {
"date": "1990-06-15",
"tzolkin": {
"number": 8,
"name": "Men",
"label": "8 Men",
"keyword": "eagle / vision",
"element": "Air",
"direction": "West"
}
}
}

Validation error

Media type application/json
Example
{
"ok": false,
"error": {
"code": "INVALID_INPUT",
"message": "Validation failed: date: Date must be YYYY-MM-DD",
"details": [
{
"path": "date",
"message": "Date must be YYYY-MM-DD"
}
]
}
}

Missing or invalid API key

Media type application/json
Example
{
"ok": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid API key"
}
}
Корисно?